/*
Driver routine for the LU decomposition routine dgetrf in LAPACK.
This is modeled after the examples by Scott Shaw.

Will Chang
March 18, 2009
*/

#ifndef __DGETRF_H__
#define __DGETRF_H__

namespace LapackLib {

	/**
	 * Computes the LU decomposition of input matrix A with dimensions m x n.
	 * Outputs the L and U matrices.  Assumes that these matrices have the
	 * same dimension as A and are initialized to zero.
	 */
	void dgetrf( int m, int n, double **A, double **L, double **U );

	extern "C" void dgetrf_(int *m, int *n, double *a, int *lda, int *ipiv, int *info);

} // end namespace "LapackLib"

#endif
